Bug 1679592 - perl-Mock-Sub-1.09-5.fc30 FTBFS: files are not named in the MANIFEST file: /builddir/build/BUILD/Mock-Sub-1.09/debugfiles.list
Summary: perl-Mock-Sub-1.09-5.fc30 FTBFS: files are not named in the MANIFEST file: /b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Mock-Sub
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 13:57 UTC by Petr Pisar
Modified: 2019-04-09 02:18 UTC (History)
2 users (show)

Fixed In Version: perl-Mock-Sub-1.09-6.fc30 perl-Mock-Sub-1.09-6.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-05 00:01:27 UTC


Attachments (Terms of Use)

Description Petr Pisar 2019-02-21 13:57:17 UTC
perl-Mock-Sub-1.09-5.fc30 fails to build in F30 because a test fails:

t/19-return_params.t ........... ok
BUILDSTDERR: #   Failed test at /usr/share/perl5/vendor_perl/Test/CheckManifest.pm line 177.
BUILDSTDERR: #          got: 0
BUILDSTDERR: #     expected: 1
BUILDSTDERR: # The following files are not named in the MANIFEST file: /builddir/build/BUILD/Mock-Sub-1.09/debugfiles.list, /builddir/build/BUILD/Mock-Sub-1.09/debuglinks.list, /builddir/build/BUILD/Mock-Sub-1.09/debugsourcefiles.list, /builddir/build/BUILD/Mock-Sub-1.09/debugsources.list, /builddir/build/BUILD/Mock-Sub-1.09/elfbins.list
BUILDSTDERR: # MANIFEST: /builddir/build/BUILD/Mock-Sub-1.09/MANIFEST
BUILDSTDERR: # Looks like you failed 1 test of 1.
t/manifest.t ................... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

This is triggered by upgrading perl-Test-CheckManifest from 1.33-5.fc30 to 1.39-1.fc30. A debuginfo generator keeps temporary files in current working directory and they are found by the Test::CheckManifest test.

I recommend not running the release tests since they are fragile.

Comment 1 Fedora Update System 2019-03-31 10:35:15 UTC
perl-Mock-Sub-1.09-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-686e1a6fde

Comment 2 Fedora Update System 2019-03-31 10:35:21 UTC
perl-Mock-Sub-1.09-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6aac2530e1

Comment 3 Fedora Update System 2019-03-31 19:26:31 UTC
perl-Mock-Sub-1.09-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6aac2530e1

Comment 4 Fedora Update System 2019-04-01 02:06:37 UTC
perl-Mock-Sub-1.09-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-686e1a6fde

Comment 5 Fedora Update System 2019-04-05 00:01:27 UTC
perl-Mock-Sub-1.09-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-04-09 02:18:56 UTC
perl-Mock-Sub-1.09-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.